package jp.deadend.noname.dumbgallery

import android.app.Dialog
import android.os.Bundle
import androidx.fragment.app.DialogFragment
import androidx.appcompat.app.AlertDialog

class SimpleMessageDialogFragment : DialogFragment() {
    private var mListener: Listener? = null

    interface Listener {
        fun onClick()
    }

    fun setListener(listener: Listener) {
        this.mListener = listener
    }

    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val args = arguments

        return AlertDialog.Builder(requireContext())
                .setMessage(args?.getString("message") ?: "")
                .setPositiveButton(android.R.string.ok) { _, _ ->
                    mListener?.onClick()
                    dismiss()
                }
                .create()
    }

    companion object {
        fun newInstance(message: String): SimpleMessageDialogFragment {
            val frag = SimpleMessageDialogFragment()
            val args = Bundle()
            args.putString("message", message)
            frag.arguments = args
            return frag
        }
    }
}
