package jp.deadend.noname.dumbgallery

import android.app.Dialog
import android.os.Bundle
import androidx.appcompat.app.AlertDialog
import androidx.fragment.app.DialogFragment

class SingleChoiceDialogFragment : DialogFragment() {
    private var mListener: Listener? = null

    interface Listener {
        fun onPositiveClick(result: Int)
    }

    fun setListener(listener: Listener) {
        this.mListener = listener
    }

    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val builder = AlertDialog.Builder(requireActivity())
        val selected = arguments?.getInt("selected") ?: 0
        arguments?.let { builder.setTitle(it.getInt("title")) }

        builder.setCancelable(true)
        builder.setSingleChoiceItems(R.array.sort_entries, selected) { _, which ->
            mListener?.onPositiveClick(which)
            dismiss()
        }

        return builder.create()
    }

    companion object {
        fun newInstance(title: Int, selected: Int): SingleChoiceDialogFragment {
            val frag = SingleChoiceDialogFragment()
            val args = Bundle()
            args.putInt("title", title)
            args.putInt("selected", selected)
            frag.arguments = args
            return frag
        }
    }
}
